// this code is written in Scilab 5.4.1

// commend out following line for other Scilab versions
stacksize('max')

// test function thermometer
LIB_DIR = 'yourLibDirectory'; //--> you may change this path to your purpose

// load sub-function
exec(LIB_DIR + 'thermometer.sci',-1);

// define some test data values

temp = linspace(1,200,200)
x = linspace(0,2*%pi,200)
yt = sin(x)
temp = temp.* yt
tempUnit = '°C'
saveDisplayToImage = 0
colMap = jetcolormap(256)

thermometer(temp, tempUnit, saveDisplayToImage, colMap);

// commend out following line for other Scilab versions
stacksize('min')
